Storyden
Auth

Auth Provider List

Retrieve a list of authentication providers. Storyden supports a few ways to authenticate, from simple passwords to OAuth and WebAuthn. This endpoint tells a client which auth capabilities are enabled.

GET
/auth

Retrieve a list of authentication providers. Storyden supports a few ways to authenticate, from simple passwords to OAuth and WebAuthn. This endpoint tells a client which auth capabilities are enabled.

Authorization

cookiestoryden-session<token>

Response Body

OK

application/json
  1. response
providers*array<>
mode*AuthMode
Value in"handle""email""phone"
Example Request
curl -X GET 'https://example.com/api/auth'
Example Response
{  "providers": [    {      "provider": "string",      "name": "string",      "link": "string"    }  ],  "mode": "handle"}